This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 40469 - unmounting sub-filesystem can give a NullPointerException
Summary: unmounting sub-filesystem can give a NullPointerException
Status: VERIFIED FIXED
Alias: None
Product: platform
Classification: Unclassified
Component: Text (show other bugs)
Version: 3.x
Hardware: PC Windows ME/2000
: P3 blocker (vote)
Assignee: Petr Nejedly
URL:
Keywords: SIMPLEFIX
Depends on:
Blocks:
 
Reported: 2004-02-25 14:10 UTC by dynamite
Modified: 2008-12-22 19:46 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dynamite 2004-02-25 14:10:54 UTC
I had a filesystem that was mounted via the 'Mount
as New Filesystem' from the tools menu item. I had
previously had some java and C++ source files open
and a database connection. All were closed prior
to unmounting. However, unmounting this filesystem
gave the following exception:

java.lang.NullPointerException: Invalid doc
parameter. Document may not be null!
	at
org.openide.text.NbDocument.checkDocParameter(NbDocument.java:378)
	at
org.openide.text.NbDocument.runAtomic(NbDocument.java:337)
[catch] at
org.openide.text.CloneableEditorSupport$9.run(CloneableEditorSupport.java:1854)
	at
java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:201)
	at
java.awt.EventQueue.dispatchEvent(EventQueue.java:461)
	at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:234)
	at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:163)
	at
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:157)
	at
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:149)
	at
java.awt.EventDispatchThread.run(EventDispatchThread.java:110)
Comment 1 Lukas Hasik 2004-02-27 09:16:54 UTC
build number, jdk ?
Comment 2 dynamite 2004-02-27 09:19:13 UTC
Build: dev from the 24th Feb

JDK 1.5.0-beta
Comment 3 Petr Nejedly 2004-03-01 15:24:57 UTC
It seems the editor was still still processing a file change when it
was already closed. The exception is harmless but annoying and the fix
is simple, so I'd like to fix it for 3.6
Comment 4 Petr Nejedly 2004-03-01 17:19:06 UTC
Fixed.
openide/src/org/openide/text/CloneableEditorSupport.java,v1.117
Comment 5 Marian Mirilovic 2004-06-30 10:02:28 UTC
verified in [nb_dev](200406291800)